package com.nstbushneva.automation.commons;

import java.io.IOException;
import java.util.Properties;

public class Settings {

  public final String bearerToken;
  public final String rpUrl;
  public final String rpProjectName;
  public final String rpBaseUrl;

  public Settings() {

    /***************************
     * ReportPortal properties
     ****************************/

    Properties reportPortalProperties = new java.util.Properties();
    try {
      reportPortalProperties.load(this.getClass().getClassLoader()
          .getResourceAsStream("reportportal.properties"));
    } catch (IOException e) {
      e.printStackTrace();
    }

    bearerToken = reportPortalProperties.getProperty("rp.uuid");
    rpUrl = reportPortalProperties.getProperty("rp.endpoint");
    rpProjectName = reportPortalProperties.getProperty("rp.project");
    rpBaseUrl = reportPortalProperties.getProperty("rp.baseurl");

  }

}
